Qyra
ReferenceCatalog

Get catalog

Get catalog items

GET/api/v1/projects/{projectUuid}/dataCatalog

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Query parameters

NameTypeRequiredDescription
searchstringNo
typestringNo
filterstringNo

Responses

200 — Success

{
  "results": [
    {
      "name": "string",
      "description": "string",
      "label": "string",
      "fieldType": "metric",
      "tableLabel": "string",
      "requiredAttributes": {
        "property": "string"
      },
      "anyAttributes": {
        "property": "string"
      },
      "owner": {
        "email": "string",
        "lastName": "string",
        "firstName": "string",
        "userUuid": "string"
      },
      "spotlightDefaultFilter": {
        "includeNull": true,
        "values": [
          "string"
        ],
        "operator": "isNull",
        "id": "string",
        "target": {
          "fieldRef": "string"
        },
        "settings": "string",
        "disabled": true,
        "required": true,
        "caseSensitive": true
      },
      "spotlightDefaultSegment": "string",
      "spotlightSegmentBy": [
        "string"
      ],
      "spotlightFilterBy": [
        "string"
      ],
      "searchRank": 0,
      "aiHints": [
        "string"
      ],
      "icon": {
        "unicode": "string"
      },
      "verifiedChartUsage": 0,
      "chartUsage": 0,
      "categories": [
        {
          "name": "string",
          "color": "string",
          "tagUuid": "string",
          "yamlReference": "string"
        }
      ],
      "tags": [
        "string"
      ],
      "tableGroupLabel": "string",
      "tableName": "string",
      "fieldValueType": "percentile",
      "basicType": "string",
      "type": "field",
      "catalogSearchUuid": "string"
    }
  ],
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}